ARCH(1)

NAME
arch, machine - print architecture type

SYNOPSIS
arch [-ks]
machine [-a]

DESCRIPTION
The arch and machine commands display the machine's architecture in slightly different ways. arch by default displays the application architecture, defined by both the operating system and the instruction set architecture, while machine displays the kernel architecture (without the operating system part). Note that both commands output the target architecture as opposed to uname(1) which describes the host. This is useful for dynamic discovery of the target architecture in build or configuration scripts needing to work in cross-compilation environments.

The options for arch are as follows:

-k  Display the kernel architecture instead of application architecture.

-s  Display the chosen architecture in a short form, i.e., without the operating system prefixed.

The options for machine are as follows:

-a  Display the application architecture instead of the kernel architecture.

SEE ALSO
uname(1)